SpyBara
Go Premium

resources/conversations/methods/update/index.md 2026-04-11 05:41 UTC to 2026-04-15 05:55 UTC

1 added, 1 removed.

2026
Thu 30 06:13 Tue 28 06:15 Thu 23 05:56 Wed 15 05:55 Sat 11 05:41 Sat 4 05:38

Update a conversation

post /conversations/{conversation_id}

Update a conversation

Path Parameters

  • conversation_id: string

Body Parameters

  • metadata: Metadata

    Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

    Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

Returns

  • Conversation object { id, created_at, metadata, object }

    • id: string

      The unique ID of the conversation.

    • created_at: number

      The time at which the conversation was created, measured in seconds since the Unix epoch.

    • metadata: unknown

      Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

    • object: "conversation"

      The object type, which is always conversation.

      • "conversation"

Example

curl https://api.openai.com/v1/conversations/$CONVERSATION_ID \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -d '{
          "metadata": {
            "foo": "string"
          }
        }'

Response

{
  "id": "id",
  "created_at": 0,
  "metadata": {},
  "object": "conversation"
}

Example

curl https://api.openai.com/v1/conversations/conv_123 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -d '{
    "metadata": {"topic": "project-x"}
  }'

Response

{
  "id": "conv_123",
  "object": "conversation",
  "created_at": 1741900000,
  "metadata": {"topic": "project-x"}
}